### Method

# Pango Contextload_font

#### Declaration [src]

    PangoFont*
    pango_context_load_font (
      PangoContext* context,
      const PangoFontDescription* desc
    )

#### Description [src]

Loads the font in one of the fontmaps in the context that is the closest match for `desc`.

#### Parameters

`desc`

  Type: `PangoFontDescription`

  A `PangoFontDescription` describing the font to load.

  The data is owned by the caller of the method.

#### Return value

Type: `PangoFont`

The newly allocated `PangoFont` that was loaded, or `NULL` if no font matched.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.